import java.util.List;

import ru.ifmo.testlib.*;
import ru.ifmo.testlib.Outcome.Type;

public class Check implements Checker {

    @Override
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        int t = inf.nextInt();
        try {
            for (int i = 0; i < t; i++) {                  
                long cAns = ouf.nextLong();
                long jAns = ans.nextLong();
                if (cAns != jAns) {
                    return new Outcome(Type.WA, String.format("Difference in line #%d: Expected %d, found %d", i + 1, jAns, cAns));
                }
                if (!ouf.isEoF())
                    ouf.nextLine();
                if (!ans.isEoF())
                    ans.nextLine();
            }                  
        } catch(Exception e) {
            return new Outcome(Type.PE, "Few tokens");
        }
        return new Outcome(Type.OK, "No differences");
    }
}
